function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _object_spread(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
import { useEditorStyleRegister } from "../../../../Hooks/useStyle";
var genStyle = function(token) {
    return _define_property({}, token.componentCls, {
        position: 'relative',
        cursor: 'pointer',
        padding: '0px 4px',
        margin: '0 2px',
        display: 'inline-flex',
        font: 'var(--font-text-body-base)',
        color: 'var(--color-primary-text-secondary)',
        borderRadius: 'var(--radius-control-sm)',
        background: 'var(--color-primary-bg-tip)',
        '[data-tag-popup-input]': {
            '&:not([data-composition]).empty::before': {
                color: 'var(--color-primary-text-disabled)',
                content: 'attr(title)',
                userSelect: 'none',
                position: 'absolute',
                left: '4px',
                top: 0
            },
            '&:hover::before': {
                opacity: 0.6
            },
            '&.empty::after': {
                content: 'attr(title)',
                opacity: 0,
                overflow: 'hidden',
                userSelect: 'none'
            }
        },
        '&-arrow': {
            position: 'absolute',
            right: '4px',
            top: '50%',
            transform: 'translateY(-50%)',
            color: 'var(--color-primary-text-disabled)',
            transition: 'transform 0.2s ease',
            '&.open': {
                transform: 'translateY(-50%) rotate(180deg)'
            }
        },
        '&-has-arrow': {
            paddingRight: '12px'
        },
        '&-loading': {
        }
    });
};
export function useStyle(prefixCls) {
    return useEditorStyleRegister('editor-content-tag-popup', function(token) {
        var editorToken = _object_spread_props(_object_spread({}, token), {
            componentCls: ".".concat(prefixCls)
        });
        return [
            genStyle(editorToken)
        ];
    });
}
